FruxonDocs
AgentsRevisions

Deploys an agent revision, making it the active version.

All subsequent executions will use this revision's configuration. Connectors that don't require manual webhook setup are automatically activated.

POST
/v1/tenants/{tenant}/agents/{agent}/revisions/{revision}:deploy

Path Parameters

agent*string

The unique identifier of the agent.

revision*string

The revision identifier to deploy.

tenant*string

The tenant identifier

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/revisions/string:deploy"
{
  "status": 0,
  "agent": {
    "id": "string",
    "displayName": "string",
    "description": "string",
    "avatarFileId": "string",
    "tags": [
      "string"
    ],
    "type": "Summarization",
    "enabled": false,
    "currentRevision": 0,
    "createdAt": 0,
    "modifiedAt": 0,
    "tenantId": "00000000-0000-0000-0000-000000000000",
    "solutionId": "string"
  },
  "connectorActivations": [
    {
      "connectorId": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "provider": "string",
      "status": 0,
      "error": "string"
    }
  ]
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}